﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Sugar.Enties
{
    /// <summary>
    /// 登录信息
    /// </summary>
    public class LoginUserDTO
    {
        /// <summary>
        /// 登录成功返回的用户信息
        /// </summary>
        public users User { get; set; }
        /// <summary>
        /// 角色
        /// </summary>
        public List<roles> Roles { get; set; }
        
        /// <summary>
        /// 许可协议信息
        /// </summary>
        public license License { get; set; }

        /// <summary>
        /// 岗位名
        /// </summary>
        public string StationName { get; set; }
        
        /// <summary>
        /// 所属部门名，此部门名是级联部门，各级部门名用-连接
        /// </summary>
        public string DeptName { get; set; }
      
    }
}
