﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///收费项目
    ///</summary>
    [SugarTable("fdc_pm_billsitem")]
    public partial class fdc_pm_billsitem
    {
           public fdc_pm_billsitem(){


           }
           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true)]
           public string billitemcode {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string billitemname {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string fathercode {get;set;}

           /// <summary>
           /// Desc:费用类别：周期类，仪表类，业务类
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string billtype {get;set;}

           /// <summary>
           /// Desc:借方科目
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string jf1code {get;set;}

           /// <summary>
           /// Desc:借方科目
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string jf1name {get;set;}

           /// <summary>
           /// Desc:借方科目
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string jfcode {get;set;}

           /// <summary>
           /// Desc:借方科目
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string jfname {get;set;}

           /// <summary>
           /// Desc:贷方科目
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string dfcode {get;set;}

           /// <summary>
           /// Desc:贷方科目
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string dfname {get;set;}

           /// <summary>
           /// Desc:计费方式
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string chargtype {get;set;}

           /// <summary>
           /// Desc:排序编号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string orderid {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string bsgn {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string debitbdatetype {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? debitbdateqty {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? debitrate {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? debitmaxrate {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string csup_id {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vownerbalanceautoid {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string jf2code {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string jf2name {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string afterday {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string rate {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string demoneytype {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string businesstype {get;set;}

    }
}
