﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///收费项目标准主表
    ///</summary>
    [SugarTable("fdc_pm_billsitemstand")]
    public partial class fdc_pm_billsitemstand
    {
           public fdc_pm_billsitemstand(){


           }
           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int pk_billsitemstand {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string billsitemstandname {get;set;}

           /// <summary>
           /// Desc:费用项编码
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string billitemcode {get;set;}

           /// <summary>
           /// Desc:单价
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? nprice {get;set;}

           /// <summary>
           /// Desc:滞纳金比率
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? demoneyrate {get;set;}

           /// <summary>
           /// Desc:最大滞纳金率
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? maxdemoney {get;set;}

           /// <summary>
           /// Desc:滞纳金计算日期标准
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string demoneydatestand {get;set;}

           /// <summary>
           /// Desc:是否计算滞纳金
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string isdemoney {get;set;}

           /// <summary>
           /// Desc:是否阶梯计价
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string isstage {get;set;}

           /// <summary>
           /// Desc:计算方式：用量，临时费用，面积*单价，数量*单价，面积*单价*月，数量*单价*月
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string calmethod {get;set;}

           /// <summary>
           /// Desc:精度：0元1 角2 分
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string iprecision {get;set;}

           /// <summary>
           /// Desc:舍人方式： 1 四舍五入2 向下取整 3进位  
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string iabnegate {get;set;}

    }
}
