﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("fdc_pm_device")]
    public partial class fdc_pm_device
    {
           public fdc_pm_device(){


           }
           /// <summary>
           /// Desc:设备档案编码
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true)]
           public string vdevicecode {get;set;}

           /// <summary>
           /// Desc:设备档案名称
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vdevicename {get;set;}

           /// <summary>
           /// Desc:设备分类
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string devicetypeid {get;set;}

           /// <summary>
           /// Desc:设备原值价格
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? vprice {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? dusage {get;set;}

           /// <summary>
           /// Desc:出厂编号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vfaccode {get;set;}

           /// <summary>
           /// Desc:单位地址
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vrepaddr {get;set;}

           /// <summary>
           /// Desc:制造商
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vmanfacture {get;set;}

           /// <summary>
           /// Desc:型号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vmodel {get;set;}

           /// <summary>
           /// Desc:规格
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vspaces {get;set;}

           /// <summary>
           /// Desc:设备供应商联系电话
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vreptel {get;set;}

           /// <summary>
           /// Desc:数量
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string mnum {get;set;}

           /// <summary>
           /// Desc:维修单位
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vrepairer {get;set;}

           /// <summary>
           /// Desc:项目档案
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pcode {get;set;}

           /// <summary>
           /// Desc:物管处
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pk_managementsecid {get;set;}

    }
}
