﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///财务收入
    ///</summary>
    [SugarTable("fdc_pm_fare_income")]
    public partial class fdc_pm_fare_income
    {
           public fdc_pm_fare_income(){


           }
           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true)]
           public string incomerowid {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string farerowid {get;set;}

           /// <summary>
           /// Desc:房产编码
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string hcode {get;set;}

           /// <summary>
           /// Desc:收费面积
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string narea {get;set;}

           /// <summary>
           /// Desc:收费项目代码
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string billitemcode {get;set;}

           /// <summary>
           /// Desc:应交总额
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? nneedmny {get;set;}

           /// <summary>
           /// Desc:本月应交收入
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? nincomemny {get;set;}

           /// <summary>
           /// Desc:本月实际收入
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? revincomemny {get;set;}

           /// <summary>
           /// Desc:支付类型
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pk_paytype {get;set;}

           /// <summary>
           /// Desc:业务类型
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string billtype {get;set;}

           /// <summary>
           /// Desc:备注
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string memo {get;set;}

           /// <summary>
           /// Desc:仪表编码
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pk_meterid {get;set;}

           /// <summary>
           /// Desc:单价
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string nprice {get;set;}

           /// <summary>
           /// Desc:收费开始日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? dbdate {get;set;}

           /// <summary>
           /// Desc:收费结束日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? dedate {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string prerevflag {get;set;}

           /// <summary>
           /// Desc:业主编号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ownerid {get;set;}

           /// <summary>
           /// Desc:合同起始日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? begindate {get;set;}

           /// <summary>
           /// Desc:合同截止日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? enddate {get;set;}

    }
}
