﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("fdc_pm_housebillsitemstand")]
    public partial class fdc_pm_housebillsitemstand
    {
           public fdc_pm_housebillsitemstand(){


           }
           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsIdentity=true)]
           public int autoid {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string hcode {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pk_meterid {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string billitemcode {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string pk_billsitemstand {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? nprice {get;set;}

           /// <summary>
           /// Desc:收费面积
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? narea {get;set;}

           /// <summary>
           /// Desc:单位:1 月 3季度 6半年 12年
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string qty {get;set;}

           /// <summary>
           /// Desc:计费周期(月)
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? iperiod {get;set;}

           /// <summary>
           /// Desc:是否按月拆分：是，否
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string split {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string periodtype {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? demoneyrate {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? maxdemoney {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string demoneydatestand {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string isdemoney {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string isstage {get;set;}

           /// <summary>
           /// Desc:初始化收费日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? dbdate {get;set;}

           /// <summary>
           /// Desc:下次计费日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? dedate {get;set;}

           /// <summary>
           /// Desc:收款截止日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? drevdate {get;set;}

           /// <summary>
           /// Desc:审批日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? dapprovedate {get;set;}

           /// <summary>
           /// Desc:审批人
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vapproveid {get;set;}

           /// <summary>
           /// Desc:审批批语
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vapprovenote {get;set;}

           /// <summary>
           /// Desc:单据状态 0 自由态 1 保存2 作废 3 审核
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string billstatus {get;set;}

           /// <summary>
           /// Desc:计算方式
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string calmethod {get;set;}

           /// <summary>
           /// Desc:精度类型
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string precisionclass {get;set;}

    }
}
