﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("fdc_pm_rentin")]
    public partial class fdc_pm_rentin
    {
           public fdc_pm_rentin(){


           }
           /// <summary>
           /// Desc:租赁进场主键
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true)]
           public string pk_rentincode {get;set;}

           /// <summary>
           /// Desc:合同号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string contractid {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ownerid {get;set;}

           /// <summary>
           /// Desc:煤气表
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? ngasmeter {get;set;}

           /// <summary>
           /// Desc:电表
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? nammeter {get;set;}

           /// <summary>
           /// Desc:水表
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? nwatermeter {get;set;}

           /// <summary>
           /// Desc:入场时间
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? dindate {get;set;}

           /// <summary>
           /// Desc:业务员
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vemployeeid {get;set;}

           /// <summary>
           /// Desc:操作员
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string voperatorid {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? doperatordate {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? dapprovedate {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vapproveid {get;set;}

    }
}
