﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("fdc_pm_repairapply")]
    public partial class fdc_pm_repairapply
    {
           public fdc_pm_repairapply(){


           }
           /// <summary>
           /// Desc:保修单编号
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true)]
           public string vrepairapplycode {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vbillno {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string hcode {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ownerid {get;set;}

           /// <summary>
           /// Desc:报修人
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vemployeeid {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string deptcode {get;set;}

           /// <summary>
           /// Desc:维修类型
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vtypecode {get;set;}

           /// <summary>
           /// Desc:1保修单2作业单3回访单
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vbillstatus {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vmemo {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vapprovenote {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? dapprovedate {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vapproveid {get;set;}

           /// <summary>
           /// Desc:处理人
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string voperatorid {get;set;}

           /// <summary>
           /// Desc:处理时间
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? dmakedate {get;set;}

           /// <summary>
           /// Desc:接单日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? dbilldate {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pk_corp {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pk_managementsecid {get;set;}

           /// <summary>
           /// Desc:报修内容
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vcontent {get;set;}

           /// <summary>
           /// Desc:结束时间
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? dclosedate {get;set;}

           /// <summary>
           /// Desc:回访时间
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? drecievdate {get;set;}

           /// <summary>
           /// Desc:要求完成时间
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string drequiredate {get;set;}

           /// <summary>
           /// Desc:保修位置
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vplace {get;set;}

           /// <summary>
           /// Desc:派单时间
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? dapplydate {get;set;}

           /// <summary>
           /// Desc:回访人
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string dapplyer {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vtel {get;set;}

           /// <summary>
           /// Desc:是否关闭:0未关闭。1 已关闭；
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string bclose {get;set;}

           /// <summary>
           /// Desc:是否满意：满意，不满意；
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string fsatisfied {get;set;}

           /// <summary>
           /// Desc:维修单 整改通知单
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string billtype {get;set;}

    }
}
