﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///收款单
    ///</summary>
    [SugarTable("fdc_pm_revfare_b")]
    public partial class fdc_pm_revfare_b
    {
           public fdc_pm_revfare_b(){


           }
           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true)]
           public string revfarerowid {get;set;}

           /// <summary>
           /// Desc:收款单表头
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pk_revfarecode {get;set;}

           /// <summary>
           /// Desc:应收费用表体
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string farerowid {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string hcode {get;set;}

           /// <summary>
           /// Desc:面积
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string narea {get;set;}

           /// <summary>
           /// Desc:收费项目代码
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string billitemcode {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vcode {get;set;}

           /// <summary>
           /// Desc:应缴金额
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? nneedmny {get;set;}

           /// <summary>
           /// Desc:已用金额
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? nlatemny {get;set;}

           /// <summary>
           /// Desc:已缴金额
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? nrevmny {get;set;}

           /// <summary>
           /// Desc:冲抵金额
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? nrevlatemny {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pk_paytype {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string billtype {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string memo {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pk_meterid {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string nprice {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? dbdate {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? dedate {get;set;}

           /// <summary>
           /// Desc:是否预收标志  Y：预收  N：非预收
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string prerevflag {get;set;}

           /// <summary>
           /// Desc:预结算行主键
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string prerevfarerowid {get;set;}

           /// <summary>
           /// Desc:上游单据主键
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vsourcebillid {get;set;}

           /// <summary>
           /// Desc:上游单据流水号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vsourcebillrowid {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string isvouch {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string issettle {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string voucherid {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string isincome {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string incomeid {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vownerbalanceautoid {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string digest {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string isred {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vcreatid {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string incomemny {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ratemny {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string revpeoioddate {get;set;}

    }
}
