﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///应收费用子表
    ///</summary>
    [SugarTable("fdc_pm_fare_b")]
    public partial class fdc_pm_fare_b
    {
           public fdc_pm_fare_b(){


           }
           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true)]
           public string farerowid {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pk_farecode {get;set;}

           /// <summary>
           /// Desc:业务关联主键
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string rentcontractid {get;set;}

           /// <summary>
           /// Desc:收费通知单
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pk_debitnotecode {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string hcode {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ownerid {get;set;}

           /// <summary>
           /// Desc:收费面积
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string narea {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pk_meterid {get;set;}

           /// <summary>
           /// Desc:会计起始日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vactymbegin {get;set;}

           /// <summary>
           /// Desc:会计截止日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vactymend {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? dbegindate {get;set;}

           /// <summary>
           /// Desc:收费截止日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? denddate {get;set;}

           /// <summary>
           /// Desc:应缴日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? dneeddate {get;set;}

           /// <summary>
           /// Desc:交款截止日
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? edate {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string billitemcode {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string memo {get;set;}

           /// <summary>
           /// Desc:应收
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? nneedpaymny {get;set;}

           /// <summary>
           /// Desc:实收金额
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? nrevmny {get;set;}

           /// <summary>
           /// Desc:预交余额
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? nremainmny {get;set;}

           /// <summary>
           /// Desc:欠交滞纳金
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? ndebitlatemny {get;set;}

           /// <summary>
           /// Desc:应收本金
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? ndebitmny {get;set;}

           /// <summary>
           /// Desc:本期滞纳金
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? nlatefeemny {get;set;}

           /// <summary>
           /// Desc:用量
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? namount {get;set;}

           /// <summary>
           /// Desc:基础
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string baseqty {get;set;}

           /// <summary>
           /// Desc:本期读数
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? ncurreading {get;set;}

           /// <summary>
           /// Desc:上期读数
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? nlastreading {get;set;}

           /// <summary>
           /// Desc:标准单价
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? nprice {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pk_corp {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string deptcode {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pk_managementsecid {get;set;}

           /// <summary>
           /// Desc:是否退回 押金类
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string isback {get;set;}

           /// <summary>
           /// Desc:来源单据号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vsourcebillid {get;set;}

           /// <summary>
           /// Desc:来源单据行号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vsourcebillrowid {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string isvouch {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string voucherid {get;set;}

           /// <summary>
           /// Desc:收费通知单主键
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pk_notecode {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string isinvoice {get;set;}

           /// <summary>
           /// Desc:催费记录
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string capitalnote {get;set;}

           /// <summary>
           /// Desc:0 未生效
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string flag {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? eenddate {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? revpeoioddate {get;set;}

    }
}
