﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///房产
    ///</summary>
    [SugarTable("fdc_pm_house")]
    public partial class fdc_pm_house
    {
           public fdc_pm_house(){


           }
           /// <summary>
           /// Desc:房产编码
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsIdentity=true)]
           public int autoid {get;set;}

           /// <summary>
           /// Desc:房号
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true)]
           public string hcode {get;set;}

           /// <summary>
           /// Desc:名称
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string hname {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string operstatename {get;set;}

           /// <summary>
           /// Desc:户型档案
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string modelname {get;set;}

           /// <summary>
           /// Desc:朝向档案
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string directionname {get;set;}

           /// <summary>
           /// Desc:楼栋编码
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string bcode {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string room {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string hfloor {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string hunit {get;set;}

           /// <summary>
           /// Desc:建筑面积
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? hbarea {get;set;}

           /// <summary>
           /// Desc:建筑面积
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? hparea {get;set;}

           /// <summary>
           /// Desc:套内面积
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? hinarea {get;set;}

           /// <summary>
           /// Desc:房产证号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string hnamecard {get;set;}

           /// <summary>
           /// Desc:已售 未售 已租  未租 
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string status {get;set;}

           /// <summary>
           /// Desc:入伙  装修  入住   空置 
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string statusflag {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string voperatorid {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? doperatordate {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vapproveid {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? dapprovedate {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vapprovenote {get;set;}

           /// <summary>
           /// Desc:审核状态
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string billstatus {get;set;}

           /// <summary>
           /// Desc:施工方
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string dosupplier {get;set;}

           /// <summary>
           /// Desc:消防等级
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string fireclass {get;set;}

           /// <summary>
           /// Desc:所有权人
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string hnamecardperson {get;set;}

           /// <summary>
           /// Desc:开始计费日
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? dfarebdate {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string define1 {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string define2 {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string define3 {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string define4 {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string define5 {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string define6 {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string define7 {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string define8 {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string cmemo {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string flag {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string contracttype {get;set;}

    }
}
