﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("fdc_pm_revfare")]
    public partial class fdc_pm_revfare
    {
           public fdc_pm_revfare(){


           }
           /// <summary>
           /// Desc:单号
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true)]
           public string pk_revfarecode {get;set;}

           /// <summary>
           /// Desc:票据号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pk_billno {get;set;}

           /// <summary>
           /// Desc:房产
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string hcode {get;set;}

           /// <summary>
           /// Desc:业主
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ownerid {get;set;}

           /// <summary>
           /// Desc:缴款人姓名
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vownername {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? revnmny {get;set;}

           /// <summary>
           /// Desc:会计年月
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pk_actym {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? dbilldate {get;set;}

           /// <summary>
           /// Desc:审批日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? dapprovedate {get;set;}

           /// <summary>
           /// Desc:审批人
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vapproveid {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vapprovenote {get;set;}

           /// <summary>
           /// Desc:制单人
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string voperatorid {get;set;}

           /// <summary>
           /// Desc:制单日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? doperatordate {get;set;}

           /// <summary>
           /// Desc:备注
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string memo {get;set;}

           /// <summary>
           /// Desc:预收款标志：1 是 
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string prerevflag {get;set;}

           /// <summary>
           /// Desc:1 蓝单 2 红单 3 对冲单
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string billstatus {get;set;}

           /// <summary>
           /// Desc:结算方式
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string paytype {get;set;}

           /// <summary>
           /// Desc:单据类型:普通收款S 预交冲抵C
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string billtype {get;set;}

           /// <summary>
           /// Desc:结算标示
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string issettle {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string cflag {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vownerid {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vownerbalance {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string isred {get;set;}

           /// <summary>
           /// Desc:制单人
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string vcreaterid {get;set;}

    }
}
