﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("users")]
    public partial class users
    {
           public users(){


           }
           /// <summary>
           /// Desc:系统标识号
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsIdentity=true)]
           public decimal SysID {get;set;}

           /// <summary>
           /// Desc:员工号
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true)]
           public string StaffCode {get;set;}

           /// <summary>
           /// Desc:登录账号
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string UserID {get;set;}

           /// <summary>
           /// Desc:姓名
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string UserName {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string OrgCode {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string DeptCode {get;set;}

           /// <summary>
           /// Desc:组织机构
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string StationCode {get;set;}

           /// <summary>
           /// Desc:口令
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string Password {get;set;}

           /// <summary>
           /// Desc:密码问题
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string PwdQuestion {get;set;}

           /// <summary>
           /// Desc:密码答案
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string PwdAnswer {get;set;}

           /// <summary>
           /// Desc:移动电话
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string Mobile {get;set;}

           /// <summary>
           /// Desc:联系电话
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string Tel {get;set;}

           /// <summary>
           /// Desc:传真
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string Fax {get;set;}

           /// <summary>
           /// Desc:教育程度
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string Education {get;set;}

           /// <summary>
           /// Desc:政治面貌
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string PolityStatus {get;set;}

           /// <summary>
           /// Desc:身份证
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string IDCard {get;set;}

           /// <summary>
           /// Desc:籍贯
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string Homeplace {get;set;}

           /// <summary>
           /// Desc:民族
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string Nation {get;set;}

           /// <summary>
           /// Desc:电子邮件
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string Email {get;set;}

           /// <summary>
           /// Desc:性别
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string SEX {get;set;}

           /// <summary>
           /// Desc:生日
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? Birthday {get;set;}

           /// <summary>
           /// Desc:家庭住址
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string Addr {get;set;}

           /// <summary>
           /// Desc:系统管理员
           /// Default:
           /// Nullable:True
           /// </summary>           
           public byte? IsSystem {get;set;}

           /// <summary>
           /// Desc:启用日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? BeginDate {get;set;}

           /// <summary>
           /// Desc:停用日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? EndDate {get;set;}

           /// <summary>
           /// Desc:0 有效 1 作废 3 未启用;
           /// Default:
           /// Nullable:True
           /// </summary>           
           public byte? IsLock {get;set;}

           /// <summary>
           /// Desc:最后更新
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? LastUpDate {get;set;}

           /// <summary>
           /// Desc:信用额度
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? creline {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string MAC {get;set;}

           /// <summary>
           /// Desc:人员状态
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string status {get;set;}

    }
}
